IPCLUSTER(1)

NAME
ipcluster - IPython parallel computing cluster control tool

SYNOPSIS
ipcluster {piexec,local,mpirun,pbs,ssh} [options]

DESCRIPTION
ipcluster is a control tool for IPython's parallel computing functions. IPython cluster startup. This starts a controller and engines using various approaches. Use the IPYTHON_DIR environment variable to change your IPython directory from the default of ~/.ipython or ~/.config/ipython. The log and security subdirectories of your IPython directory will be used by this script for log files and security files.

POSITIONAL ARGUMENTS
The first positional argument should be one of: {start, stop, engines}, which are the available subcommands. For detailed help on each, type "ipcluster CMD --help". Briefly:
  start start an IPython cluster
  stop stop a running IPython cluster
  engines add a number of engines to a running cluster

OPTIONS

-h, --help
    show help message and exit

EXAMPLE
ipcluster start --n=4 This command will start 4 IPython engines on the local computer.

SEE ALSO
ipython(1), ipcontroller(1), ipengine(1)

AUTHOR
ipcluster is a tool that ships with IPython, created by the IPython Development Team.

This manual page was written by Stephan Peijnik <debian@sp.or.at>, for the Debian project (but may be used by others). Modified by Fernando Perez <Fernando.Perez@berkeley.edu> for inclusion in IPython.